import request from '@/utils/request';

// // 查询省市区（县）
export function getSelectRegionsList(query) {
  return request({
    url: 'sfa/store/cover/selectRegionsList',
    method: 'get',
    params: query,
  });
}
export function getvisitDeptInfo(query) {
  return request({
    url: '/mobile/visit/getDeptInfo',
    method: 'get',
    params: query,
  });
}
export function userTodayPlanNum(query) {
  return request({
    url: 'mobile/route/userTodayPlanNum',
    method: 'get',
    params: query,
  });
}

//获取门店
// 计划内
export function getUserInPlanList(query) {
  return request({
    url: 'mobile/route/userInPlan',
    method: 'get',
    params: query,
  });
}

export function addVisits(data) {
  return request({
    url: 'mobile/storeGroup/addVisits',
    method: 'post',
    data,
  });
}

export function addCollectionAnswer(data) {
  return request({
    url: 'mobile/storeGroup/addCollectionAnswer',
    method: 'post',
    data,
  });
}

export function endVisits(data) {
  return request({
    url: 'mobile/storeGroup/endVisits',
    method: 'post',
    data,
  });
}

export function removePhoto(data) {
  return request({
    url: 'mobile/storeGroup/removePhoto?fileId=' + data.fileId,
    method: 'post',
  });
}

export function editDwellTime(data) {
  return request({
    url:
      'mobile/storeGroup/editDwellTime?dwellTime=' + data.dwellTime + '&visitsId=' + data.visitsId,
    method: 'post',
  });
}

export function getStoreGroupTask(data) {
  return request({
    url: 'mobile/storeGroup/getStoreGroupTask',
    method: 'post',
    data,
  });
}
// 获取门店拜访任务接口
export function getVisitTasks(data) {
  return request({
    url: 'mobile/storeGroup/getVisitTasks',
    method: 'post',
    data,
  });
}

// 门店拜访获取采集项信息接口
export function getCollectionInfos(data) {
  return request({
    url: 'mobile/storeGroup/getCollectionInfos',
    method: 'post',
    data,
  });
}

export function restartProcess(query) {
  return request({
    url: 'mobile/storeGroup/restartProcess',
    method: 'get',
    params: query,
  });
}
// 计划外
export function getUserOutPlaList(query) {
  return request({
    url: 'mobile/route/userOutPlan',
    method: 'get',
    params: query,
  });
}

export function getPhotoTypeList(query) {
  return request({
    url: 'mobile/storeGroup/sfa_task_photo_type',
    method: 'get',
    params: query,
  });
}

// 城市等级
export function getCityLevelList(query) {
  return request({
    url: 'mobile/storeGroup/sfa_city_level',
    method: 'get',
    params: query,
  });
}

// 门店类型
export function getStoreTypeListlp(query) {
  return request({
    url: 'mobile/storeGroup/getStoreTypeList',
    method: 'get',
    params: query,
  });
}
export function getStoreTypeList(query) {
  return request({
    url: 'mobile/storeGroup/sfa_store_type',
    method: 'get',
    params: query,
  });
}
export function getstoreCoverPosition(query) {
  return request({
    url: 'mobile/storeGroup/store_cover_position',
    method: 'get',
    params: query,
  });
}
export function double_week_type(query) {
  return request({
    url: 'mobile/storeGroup/double_week_type',
    method: 'get',
    params: query,
  });
}
export function getStoreyslTypeList(query) {
  return request({
    url: 'mobile/storeGroup/ysl_store_type',
    method: 'get',
    params: query,
  });
}

export function getPhotoTypeList1(query) {
  return request({
    url: 'mobile/storeGroup/sfa_abnormal_reason',
    method: 'get',
    params: query,
  });
}

export function getTCFXList(query) {
  return request({
    url: 'mobile/storeGroup/TCFX',
    method: 'get',
    params: query,
  });
}
// 客户信息来源
export function getCustomerInfoList() {
  return request({
    url: 'mobile/storeGroup/customer_info_from',
    method: 'get',
  });
}
export function getpotentialCustomerTypeList() {
  return request({
    url: 'mobile/storeGroup/potential_customer_type',
    method: 'get',
  });
}
// 客户性质
export function getCustomerNatureList() {
  return request({
    url: 'mobile/storeGroup/customer_nature',
    method: 'get',
  });
}
// 主要项目类型
export function getMainProjectList() {
  return request({
    url: 'mobile/storeGroup/main_project_type',
    method: 'get',
  });
}
// 	主要关系来源
export function getMainRelationList() {
  return request({
    url: 'mobile/storeGroup/main_relation_from',
    method: 'get',
  });
}
// 	经营模式
export function getManagementModelList() {
  return request({
    url: 'mobile/storeGroup/management_model',
    method: 'get',
  });
}
export function getSJSList(query) {
  return request({
    url: 'mobile/storeGroup/SJS',
    method: 'get',
    params: query,
  });
}
export function getQGJZist(query) {
  return request({
    url: 'mobile/storeGroup/QGJZ',
    method: 'get',
    params: query,
  });
}
export function getbrands(query) {
  return request({
    url: 'mobile/storeGroup/main_competitor_brands',
    method: 'get',
    params: query,
  });
}
// 客户信息
export function getUserOrgStoreList(query) {
  return request({
    url: 'mobile/route/userOrgStore',
    method: 'get',
    params: query,
  });
}

// 历史拜访
export function getVisitsDetail(query) {
  return request({
    url: 'mobile/storeGroup/getVisitsDetail',
    method: 'get',
    params: query,
  });
}

export function getVisitsList(data) {
  return request({
    url: 'mobile/storeGroup/getVisitsList',
    method: 'post',
    data,
  });
}
export function getVisits(query) {
  return request({
    url: 'mobile/visit/list',
    method: 'get',
    params: query,
  });
}
export function getListTotal(query) {
  return request({
    url: 'mobile/visit/listTotal',
    method: 'get',
    params: query,
  });
}
export function storeMyList(query) {
  return request({
    url: 'mobile/store/myList',
    method: 'get',
    params: query,
  });
}

// 公共
export function addPhoto(data) {
  return request({
    url: 'mobile/storeGroup/addPhoto',
    method: 'post',
    data,
  });
}

export function loginLog(data) {
  return request({
    url: 'mobile/route/loginLog',
    method: 'post',
    data,
  });
}

export function ticket(query) {
  return request({
    url: 'mobile/wx/ticket',
    method: 'get',
    params: query,
  });
}

// 客户信息
export function storeList(query) {
  return request({
    url: 'mobile/store/list',
    method: 'get',
    params: query,
  });
}

export function getById(query) {
  return request({
    url: 'mobile/store/getById',
    method: 'get',
    params: query,
  });
}

export function addStore(data) {
  return request({
    url: 'mobile/store/addStore',
    method: 'post',
    data,
  });
}

export function updateStore(data) {
  return request({
    url: 'mobile/store/updateStore',
    method: 'post',
    data,
  });
}

export function uploadImage(data) {
  return request({
    url: 'mobile/store/uploadImage',
    method: 'post',
    data,
  });
}
export function uploadImageaddress(data) {
  return request({
    url: 'mobile/store/uploadCheckAddressImage',
    method: 'post',
    data,
  });
}

export function beforeAdd(query) {
  return request({
    url: 'mobile/store/beforeAdd',
    method: 'get',
    params: query,
  });
}

export function streetQuery(query) {
  return request({
    url: 'mobile/store/streetQuery',
    method: 'get',
    params: query,
  });
}

export function homeImge(query) {
  return request({
    url: 'mobile/route/homeImge',
    method: 'get',
    params: query,
  });
}

export function suishenbangStoreSale(query) {
  return request({
    url: 'mobile/store/suishenbangStoreSale',
    method: 'get',
    params: query,
  });
}
// 周日报
export function getReportInfo(query) {
  return request({
    url: 'mobile/reportMobile/getReportInfo',
    method: 'get',
    params: query,
  });
}
export function approveList(query) {
  return request({
    url: 'mobile/reportMobile/approveList',
    method: 'get',
    params: query,
  });
}
export function getDetailById(query) {
  return request({
    url: 'mobile/reportMobile/getDetailById',
    method: 'get',
    params: query,
  });
}
export function queryHistoryList(query) {
  return request({
    url: 'mobile/reportMobile/queryHistoryList',
    method: 'get',
    params: query,
  });
}
// 报表模块
export function getDeptInfo(query) {
  return request({
    url: 'mobile/reportMobile/getDeptInfo',
    method: 'get',
    params: query,
  });
}
export function getDeptInfos(query) {
  return request({
    url: 'mobile/summaryMobile/GetDeptInfo',
    method: 'get',
    params: query,
  });
}
export function queryRates(query) {
  return request({
    url: 'mobile/reportMobile/queryRates',
    method: 'get',
    params: query,
  });
}
export function updateReport(data) {
  return request({
    url: 'mobile/reportMobile/updateReport',
    method: 'post',
    data,
  });
}
// 下午汇报查询
export function querySubReport(query) {
  return request({
    url: 'mobile/reportMobile/querySubReport',
    method: 'get',
    params: query,
  });
}
export function mobileLogin(data) {
  return request({
    url: 'mobileLogin',
    method: 'post',
    data,
  });
}
export function tsContents(data) {
  return request({
    url: 'mobile/reportMobile/tsContents',
    method: 'post',
    data,
  });
}

// 点评
export function remarkList(query) {
  return request({
    url: 'mobile/reportMobile/remarkList',
    method: 'get',
    params: query,
  });
}

export function insertRemark(data) {
  return request({
    url: '/mobile/reportMobile/insertRemark',
    method: 'post',
    data,
  });
}
export function insertVisitRemark(data) {
  return request({
    url: '/mobile/visit/insertRemark',
    method: 'post',
    data,
  });
}

// 拜访计划接口
// 结束拜访
export function stopVisit(query) {
  return request({
    url: 'mobile/storeGroup/stopVisit',
    method: 'get',
    params: query,
  });
}
export function checkVisit(query) {
  return request({
    url: 'mobile/storeGroup/checkVisit',
    method: 'get',
    params: query,
  });
}

export function addVisitsPosition(data) {
  return request({
    url: '/mobile/visit/addVisitsPosition',
    method: 'post',
    data,
  });
}
// 初始化坐标
export function mobileReposition(query) {
  return request({
    url: '/mobile/store/mobileReposition',
    method: 'get',
    params: query,
  });
}

//客户信息
// 手机号校验
export function phoneCheck(query) {
  return request({
    url: '/mobile/store/phoneCheck',
    method: 'get',
    params: query,
  });
}
//TOP经销商总结
export function getSummaryDetailById(query) {
  return request({
    url: '/mobile/summaryMobile/getDetailById',
    method: 'get',
    params: query,
  });
}
export function insertCustomAnswer(data) {
  return request({
    url: '/mobile/summaryMobile/insertCustomAnswer',
    method: 'post',
    data,
  });
}
export function addSummaryPhoto(data) {
  return request({
    url: '/mobile/summaryMobile/addPhoto',
    method: 'post',
    data,
  });
}
export function removeSummaryPhoto(data) {
  return request({
    url: '/mobile/summaryMobile/removePhoto?fileId=' + data.fileId,
    method: 'post',
    data,
  });
}

export function queryHistorySummaryList(query) {
  return request({
    url: '/mobile/summaryMobile/queryHistorySummaryList',
    method: 'get',
    params: query,
  });
}
export function getSummaryMobileDeptInfo(query) {
  return request({
    url: '/mobile/summaryMobile/getDeptInfo',
    method: 'get',
    params: query,
  });
}
export function getSummaryMobilo(query) {
  return request({
    url: '/mobile/summaryMobile/' + query.userSummaryId,
    method: 'get',
  });
}

// 审批数量
export function applyNumber(query) {
  return request({
    url: '/mobile/activiti/todoItem/applyNumber',
    method: 'get',
    params: query,
  });
}
export function getTodoItemList(query) {
  return request({
    url: '/mobile/activiti/todoItem/list',
    method: 'get',
    params: query,
  });
}
export function getTodoItemMyList(query) {
  return request({
    url: '/mobile/activiti/todoItem/myList',
    method: 'get',
    params: query,
  });
}
// 厨卫类型
export function getCWStoreTypeList(query) {
  return request({
    url: '/mobile/storeGroup/cw_store_type',
    method: 'get',
    params: query,
  });
}
//
export function completeAll(data) {
  return request({
    url: '/mobile/activiti/process/completeAll',
    method: 'post',
    data,
  });
}

// 大客户列表
export function getstoreCustomerSignList(query) {
  return request({
    url: '/mobile/storeCustomerSign/list',
    method: 'get',
    params: query,
  });
}
// 大客户详情
export function getCustomerSignDetail(query) {
  return request({
    url: '/mobile/storeCustomerSign/getCustomerSignDetail',
    method: 'get',
    params: query,
  });
}
export function storeCustomerSignList(query) {
  return request({
    url: '/mobile/storeCustomerSign/list',
    method: 'get',
    params: query,
  });
}
export function addComplete(data) {
  return request({
    url: '/mobile/activiti/process/complete',
    method: 'post',
    data: data,
  });
}
export function editCustomerSign(data) {
  return request({
    url: '/mobile/storeCustomerSign',
    method: 'put',
    data,
  });
}
// 审批历史
export function getListHistoryaList(data) {
  return request({
    url: '/mobile/activiti/process/listHistory',
    method: 'post',
    data,
  });
}
export function getListHistoryList(query) {
  return request({
    url: '/mobile/activiti/process/visitListHistory',
    method: 'get',
    params: query,
  });
}
//拜访历史
export function visitStorelist(query) {
  return request({
    url: '/mobile/visit/store/list',
    method: 'get',
    params: query,
  });
}

export function getChainsByDeptCode(query) {
  return request({
    url: '/mobile/store/getChainsByDeptId',
    method: 'get',
    params: query,
  });
}
// 照片上传
//门店
export function uploadImagev(data, signal) {
  return request({
    url: '/mobile/store/uploadImage',
    method: 'post',
    data: data,
    signal: signal,
  });
}
//任务
export function addPhotov(data) {
  return request({
    url: '/mobile/summaryMobile/addPhoto',
    method: 'post',
    data: data,
  });
}
// 拜访
export function addstorePhoto(data, signal) {
  return request({
    url: '/mobile/storeGroup/addPhoto',
    method: 'post',
    data: data,
    signal: signal,
  });
}
export function buryingPoint(data) {
  return request({
    url: '/mobile/buryingPoint',
    method: 'post',
    data: data,
  });
  // buryingPointType	是	string	埋点类型，字典burying_point_type： 1=门店类型筛选，2=审核日报照片
  // buryingPointValue	否	string	埋点值
  // buryingPointName	是	string	埋点名称
  // buryingPointPosition	是	string	埋点位置
  // systemModel	是	string	系统模块名称
}
export function addstoreRegister(data) {
  return request({
    url: '/mobile/store/updateStoreOrder',
    method: 'post',
    data: data,
  });
}
//清空任务内容
export function deleteTaskAnswer(query) {
  return request({
    url: '/mobile/storeGroup/deleteTaskAnswer',
    method: 'get',
    params: query,
  });
}
//加入计划
export function joinInPlan(query) {
  return request({
    url: '/mobile/route/joinInPlan',
    method: 'get',
    params: query,
  });
}
export function getCollectionShowHistory(query) {
  return request({
    url: '/mobile/storeGroup/getCollectionShowHistory',
    method: 'get',
    params: query,
  });
}
export function getProjectList(query) {
  return request({
    url: '/mobile/storeGroup/getProjectList',
    method: 'get',
    params: query,
  });
}

// 标签
export function getStoreLabels(query) {
  return request({
    url: '/mobile/storeGroup/getStoreLabels',
    method: 'get',
    params: query,
  });
}
export function getCustomerList(query) {
  return request({
    url: '/mobile/storeGroup/getCustomerList',
    method: 'get',
    params: query,
  });
}

export function getStoreMapInfo(query) {
  return request({
    url: '/mobile/store/getStoreMapInfo',
    method: 'get',
    params: query,
  });
}
//我来的时候什么也没有，注释我也不写了
export function ProductItemImge(query) {
  return request({
    url: '/mobile/route/ProductItemImge',
    method: 'get',
    params: query,
  });
}
export function getItemList(query) {
  return request({
    url: '/mobile/store/getItemList',
    method: 'get',
    params: query,
  });
}
export function getOptionByResult(query) {
  return request({
    url: '/mobile/storeGroup/getOptionByResult',
    method: 'get',
    params: query,
  });
}
// 获取金牌店铺，同城店铺种类集合
export function getStoreGroupCategory() {
  return request({
    url: '/mobile/storeGroup/store_address_check_category',
    method: 'get',
  });
}

// 获取签名 ticket
export function getTicket(query) {
  return request({
    url: '/mobile/wx/ticket',
    method: 'get',
    params: query,
  });
}

// 根据门店code获取下单系统最新的下单数据
export function getOrderByStoreCode(query) {
  return request({
    url: '/mobile/store/getOrderByStoreCode',
    method: 'get',
    params: query,
  });
}

// 提示类页签-汇报指标查询接口 日报、周报、半月报
export function getReportTarget(query) {
  return request({
    url: '/mobile/reportMobile/getReportTarget',
    method: 'get',
    params: query,
  });
}

// 部门主管审批新建店铺-通过
export function getStoreApprovalList(query) {
  return request({
    url: '/mobile/store/getStoreApprovalList',
    method: 'get',
    params: query,
  });
}

// 移动端获取用户信息接口
export function getMobileUserInfo(query) {
  return request({
    url: '/mobile/getMobileUserInfo',
    method: 'get',
    params: query,
  });
}

// 部门主管审批新建同城店铺
export function approvalStore(data) {
  return request({
    url: '/mobile/store/approvalStore',
    method: 'post',
    data: data,
  });
}

// 各部门未拜访门店数量
export function selectNoVisitsInfo(query, signal) {
  return request({
    url: '/mobile/storeStatistics/selectNoVisitsInfo',
    method: 'get',
    params: query,
    signal: signal,
  });
}

// 提示类页签-色卡查询接口
export function getReportMaterial(query) {
  return request({
    url: '/mobile/reportMobile/getReportMaterial',
    method: 'get',
    params: query,
  });
}
// 提示类页签-查询下属业务员色卡指标接口
export function getReportMaterialType(data, signal) {
  return request({
    url: '/mobile/reportMobile/getReportMaterialType',
    method: 'post',
    data: data,
    signal: signal,
  });
}
// 提示类页签-调色预警查询接口
export function getColorWarning(query) {
  return request({
    url: '/mobile/storeStatistics/selectColorMixerStore',
    method: 'get',
    params: query,
  });
}
// 提示类页签-查询调色机详情接口
export function selectColorMixerStoreInfo(data, signal) {
  return request({
    url: '/mobile/storeStatistics/selectColorMixerStoreInfo',
    method: 'post',
    data: data,
    signal: signal,
  });
}
// 新建同城店铺提交审核
export function submitApproval(query) {
  return request({
    url: '/mobile/store/submitApproval',
    method: 'get',
    params: query,
  });
}

// 提示类拜访（实时）接口
export function selectVisitsRealTime(query) {
  return request({
    url: '/mobile/storeStatistics/selectVisitsRealTime',
    method: 'get',
    params: query,
  });
}

// 审批历史-审批历史
export function storeApprovaHistory(query) {
  return request({
    url: '/mobile/store/storeApprovaHistory',
    method: 'get',
    params: query,
  });
}

// 提示类建店统计接口
export function selectBuildingStore(query) {
  return request({
    url: '/mobile/storeStatistics/selectBuildingStore',
    method: 'get',
    params: query,
  });
}

// 提示类色卡未领取-根据门店ID查询门店列表接口
export function getNotSignStoreList(data) {
  return request({
    url: '/mobile/reportMobile/getNotSignStoreList',
    method: 'post',
    data: data,
  });
}

// 提示类用户拜访（实时）详情接口
export function selectUserStoreNoVisits(data) {
  return request({
    url: '/mobile/storeStatistics/selectUserStoreNoVisits',
    method: 'post',
    data: data,
  });
}

// 提示类建店详情接口
export function selectPendingCasesInfo(query, signal) {
  return request({
    url: '/mobile/storeStatistics/selectPendingCasesInfo',
    method: 'get',
    params: query,
    signal: signal,
  });
}

// 获取字典
export function getDictOption(query, dictTypr) {
  return request({
    url: '/mobile/storeGroup/' + dictTypr,
    method: 'get',
    params: query,
  });
}

// 仍要上传图片入库
export function addPhotoToDB(data) {
  return request({
    url: 'mobile/storeGroup/addPhotoToDB',
    method: 'post',
    data: data,
  });
}

// 获取门店发放的物料记录接口
export function getMaterialHistory(query) {
  return request({
    url: '/mobile/storeGroup/getMaterialHistory',
    method: 'get',
    params: query,
  });
}

// 根据日报id查询汇报当天拜访照片base64格式
export function imgToBase64(data) {
  return request({
    url: '/mobile/reportMobile/imgToBase64',
    method: 'post',
    data,
  });
}
// 根据当前用户获取下级所有销售部接口
export function getDeptsByUser(query) {
  return request({
    url: '/mobile/summaryMobile/getDeptsByUser',
    method: 'get',
    params: query,
  });
}

// 获取管辖经销商接口
export function chainsList(query) {
  return request({
    url: '/mobile/chains/list',
    method: 'get',
    params: query,
  });
}

// 获取门店列表接口
export function storesList(query) {
  return request({
    url: '/mobile/store/list',
    method: 'get',
    params: query,
  });
}

// 主管任务答案暂存接口（同主管任务答案保存接口一致，但是接口不校验答案是否必填）
export function temporarilyCustomAnswer(data) {
  return request({
    url: 'mobile/summaryMobile/temporarilyCustomAnswer',
    method: 'post',
    data: data,
  });
}

// 删除主管任务暂存
export function deleteSummaryMobile(query) {
  return request({
    url: '/mobile/summaryMobile/' + query.userSummaryId,
    method: 'delete',
  });
}

// sku识别信息接口
export function getSkuDetailById(query) {
  return request({
    url: '/mobile/reportMobile/getSkuDetailById',
    method: 'get',
    params: query,
  });
}

// 发送验证码并校验验证码
export function sendAndCheckVerCode(query) {
  return request({
    url: '/mobile/storeGroup/sendAndCheckVerCode',
    method: 'get',
    params: query,
  });
}

// 获取签到记录
export function getSummaryQrCheckList(query) {
  return request({
    url: '/mobile/summaryMobile/getSummaryQrCheckList',
    method: 'get',
    params: query,
  });
}

// 打开扫码签到二维码
export function getSummaryQrCodeUUID(query) {
  return request({
    url: '/mobile/summaryMobile/getSummaryQrCodeUUID',
    method: 'get',
    params: query,
  });
}

// 电话确认接口
export function confirmPhone(query) {
  return request({
    url: '/mobile/storeGroup/confirmPhone',
    method: 'get',
    params: query,
  });
}

// 陈列奖励案门店获取拜访详情
export function getCollectionInfosBatch(data) {
  return request({
    url: 'mobile/storeGroup/getCollectionInfosBatch',
    method: 'post',
    data: data,
  });
}

// 陈列奖励按拜访拍照
export function addPhotoBatch(data) {
  return request({
    url: 'mobile/storeGroup/addPhotoBatch',
    method: 'post',
    data: data,
  });
}

// 陈列奖励案拜访照片删除
export function removePhotoBatch(data) {
  return request({
    url: 'mobile/storeGroup/removePhotoBatch',
    method: 'post',
    data: data,
  });
}

//
export function addCollectionAnswerBatch(data) {
  return request({
    url: 'mobile/storeGroup/addCollectionAnswerBatch',
    method: 'post',
    data,
  });
}

// 完美门店
export function getVisitsDetailPerfectStore(query) {
  return request({
    url: 'mobile/storeGroup/getVisitsDetailPerfectStore',
    method: 'get',
    params: query,
  });
}

// 获取陈列奖励案入库标识接口
export function getCljlaToDBLabel(query) {
  return request({
    url: 'mobile/storeGroup/getCljlaToDBLabel',
    method: 'get',
    params: query,
  });
}

// 完美门店-陈列任务详情
export function getVisitsDetailPerfectStoreByTaskId(query) {
  return request({
    url: 'mobile/storeGroup/getVisitsDetailPerfectStoreByTaskId',
    method: 'get',
    params: query,
  });
}

// 查询用户距离拜访门店得距离
export function selectUserDistanceTheStore(query) {
  return request({
    url: 'mobile/storeGroup/selectUserDistanceTheStore',
    method: 'get',
    params: query,
  });
}

// 获取服务商档案信息接口
export function getServiceProviderArchives(query) {
  return request({
    url: 'mobile/store/getServiceProviderArchives',
    method: 'get',
    params: query,
  });
}

//修改陈列奖励案牌面数-测试
export function updateDisplayRewardCaseSkuCount(data) {
  return request({
    url: '/mobile/storeGroup/updateDisplayRewardCaseSkuCount',
    method: 'post',
    data,
  });
}

//分享日报入记录表
export function shareReportMobile(data) {
  return request({
    url: '/mobile/reportMobile/share',
    method: 'post',
    data,
  });
}

// 陈列照识别接口
export function recognizeDisplayPhoto(query) {
  return request({
    url: 'mobile/store/recognizeDisplayPhoto',
    method: 'get',
    params: query,
  });
}

// 根据门店code获取陈列照识别数据
export function getDisplayPhotoIdentify(query) {
  return request({
    url: 'mobile/store/getDisplayPhotoIdentify',
    method: 'get',
    params: query,
  });
}
